Skala
Serial numbers

Replace a serial number

Completely replaces the data of an existing serial number with the provided payload.

PUT
/api/serial_numbers/{id}

Completely replaces the data of an existing serial number with the provided payload.

AuthorizationBearer <token>

In: header

Path Parameters

id*string

SerialNumber identifier

Request Body

application/json

The updated SerialNumber resource

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://api.skalasuite.com/api/serial_numbers/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": 0,
  "workOrder": {
    "id": 0,
    "code": "string",
    "serialNumbers": [
      {}
    ]
  },
  "serialNumber": "string",
  "isUsed": true,
  "isCompleted": true,
  "stockVariant": "/entity/1",
  "invoice": {
    "id": 0,
    "code": "string"
  },
  "workOrderMaterial": {
    "workOrder": {
      "id": 0,
      "code": "string",
      "serialNumbers": [
        {}
      ]
    }
  },
  "invoiceItem": {
    "id": 0,
    "invoice": {
      "id": 0,
      "code": "string"
    }
  }
}
Empty
Empty
Empty